Name:           perl-MaxMind-DB-Common
Version:        0.040001
Release:        6%{?dist}
Summary:        Code shared by the MaxMind database reader and writer
License:        Artistic 2.0
URL:            https://metacpan.org/release/MaxMind-DB-Common
Source0:        https://cpan.metacpan.org/authors/id/M/MA/MAXMIND/MaxMind-DB-Common-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.8
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(autodie)
BuildRequires:  perl(Carp)
BuildRequires:  perl(constant)
# Data::Dumper::Concise not used at tests
# DateTime not used at tests
BuildRequires:  perl(Exporter)
BuildRequires:  perl(List::AllUtils)
BuildRequires:  perl(Math::BigInt)
BuildRequires:  perl(Moo)
BuildRequires:  perl(Moo::Role)
BuildRequires:  perl(MooX::StrictConstructor)
BuildRequires:  perl(namespace::autoclean)
BuildRequires:  perl(overload)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Sub::Quote)
# Tests:
# blib not used
BuildRequires:  perl(File::Spec)
# IO::Handle not used
# IPC::Open3 not used
# Pod::Wordlist not used
# Test::Code::TidyAll not used
# Test::CPAN::Changes not used
# Test::EOL not used
BuildRequires:  perl(Test::More) >= 0.96
# Test::NoTabs not used
# Test::Pod not used
# Test::Spelling not used
# Test::Synopsis not used
# Test::Version not used
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Data::Dumper::Concise)
Requires:       perl(DateTime)

%description
This distribution provides some shared code for use by both the MaxMind
database reader and writer Perl modules.

%prep
%setup -q -n MaxMind-DB-Common-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} $RPM_BUILD_ROOT/*

%check
unset AUTHOR_TESTING RELEASE_TESTING
make test

%files
%license LICENSE
%doc Changes README.md
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.040001-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.040001-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri May 21 2021 Jitka Plesnikova <jplesnik@redhat.com> - 0.040001-4
- Perl 5.34 rebuild

* Thu Apr 29 2021 Jitka Plesnikova <jplesnik@redhat.com> - 0.040001-3
- Add BR: perl(Math::BigInt)

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.040001-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Aug 10 2020 Petr Pisar <ppisar@redhat.com> 0.040001-1
- Specfile autogenerated by cpanspec 1.78.
